# Sites: list

**Requires [authorization](https://developers.google.com/webmaster-tools/v1/sites/list#auth)**

Lists the user's Search Console sites.
[Try it now](https://developers.google.com/webmaster-tools/v1/sites/list#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/webmasters/v3/sites
```

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/webmaster-tools/v1/how-tos/authorizing)).

| Scope |
|---|
| `https://www.googleapis.com/auth/webmasters.readonly` |
| `https://www.googleapis.com/auth/webmasters` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "siteEntry": [
    sites Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `siteEntry[]` | `list` | Contains permission level information about a Search Console site. For more information, see [Permissions in Search Console](https://support.google.com/webmasters/answer/2451999). |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.